# FloatRange Class Reference

Inheritance diagram for FloatRange:
[legend]

List of all members.

## Public Member Functions

| __construct ($min=null, $max=null)
| setMin ($min=null)
| setMax ($max=null)

## Static Public Member Functions

static | create ($min=null, $max=null)

## Detailed Description

Definition at line 12 of file FloatRange.class.php.

## Constructor & Destructor Documentation

FloatRange::__construct | ( | $ | min = `null`,
|  | $ | max = `null` |
| ) |  |  |

Reimplemented from BaseRange.

Definition at line 14 of file FloatRange.class.php.

References BaseRange::$max, BaseRange::$min, and Assert::isFloat().

Here is the call graph for this function:

## Member Function Documentation

static FloatRange::create | ( | $ | min = `null`,
|  | $ | max = `null` |
| ) |  |  | `[static]`

Returns:
  FloatRange

Definition at line 28 of file FloatRange.class.php.

References BaseRange::$max, and BaseRange::$min.

FloatRange::setMax | ( | $ | max = `null` | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  FloatRange

Reimplemented from BaseRange.

Definition at line 51 of file FloatRange.class.php.

References BaseRange::$max, and Assert::isFloat().

Here is the call graph for this function:

FloatRange::setMin | ( | $ | min = `null` | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  FloatRange

Reimplemented from BaseRange.

Definition at line 37 of file FloatRange.class.php.

References BaseRange::$min, and Assert::isFloat().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Base/FloatRange.class.php